Index: BOOK/final-system/common/ncurses.xml
===================================================================
--- BOOK/final-system/common/ncurses.xml	(revision 3f7243126d6af77be8da8cd96b61a7043e5ff12b)
+++ BOOK/final-system/common/ncurses.xml	(revision 6463a01bba877e3f7d3be0acb54b16b2533ffb16)
@@ -37,5 +37,4 @@
 <screen os="b"><userinput>./configure \
     --prefix=/usr \
-    --libdir=/lib \
     --with-shared \
     --without-debug \
@@ -75,15 +74,10 @@
 <screen os="g"><userinput>make install</userinput></screen>
 
-    <para os="h">Move the Ncurses static libraries to the proper location:</para>
-
-<screen os="i"><userinput>mv -v /lib/lib{panelw,menuw,formw,ncursesw,ncurses++w}.a /usr/lib</userinput></screen>
-
-    <para os="j">Create symlinks in <filename class="directory">/usr/lib:</filename></para>
-
-<screen os="k"><userinput>ln -svf ../../lib/$(readlink /lib/libncursesw.so) /usr/lib/libncursesw.so
-ln -svf ../../lib/$(readlink /lib/libmenuw.so) /usr/lib/libmenuw.so
-ln -svf ../../lib/$(readlink /lib/libpanelw.so) /usr/lib/libpanelw.so
-ln -svf ../../lib/$(readlink /lib/libformw.so) /usr/lib/libformw.so
-rm -v /lib/lib{ncursesw,menuw,panelw,formw}.so</userinput></screen>
+    <para os="h">Move the <filename class="libraryfile">libncursesw</filename>
+    shared library to <filename class="directory">/lib</filename>
+    and create a new symlink in <filename class="directory">/usr/lib</filename>:</para>
+
+<screen os="i"><userinput>mv -v /usr/lib/libncursesw.so.* /lib
+ln -svf ../../lib/$(readlink /usr/lib/libncursesw.so) /usr/lib/libncursesw.so</userinput></screen>
 
     <para os="l">Many packages that use Ncurses will compile just fine against
Index: BOOK/final-system/multilib/ncurses-64bit.xml
===================================================================
--- BOOK/final-system/multilib/ncurses-64bit.xml	(revision 3f7243126d6af77be8da8cd96b61a7043e5ff12b)
+++ BOOK/final-system/multilib/ncurses-64bit.xml	(revision 6463a01bba877e3f7d3be0acb54b16b2533ffb16)
@@ -39,5 +39,5 @@
 ./configure \
     --prefix=/usr \
-    --libdir=/lib64 \
+    --libdir=/usr/lib64 \
     --with-shared \
     --without-debug \
@@ -71,17 +71,10 @@
 ln -svf multiarch_wrapper /usr/bin/ncursesw6-config</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="ncurses.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
+    <para os="h">Move the <filename class="libraryfile">libncursesw</filename>
+    shared library to <filename class="directory">/lib64</filename>
+    and create a new symlink in <filename class="directory">/usr/lib64</filename>:</para>
 
-<screen os="i"><userinput>mv -v /lib64/lib{panelw,menuw,formw,ncursesw,ncurses++w}.a /usr/lib64</userinput></screen>
-
-    <para os="j">Create symlinks in <filename class="directory">/usr/lib64:</filename></para>
-
-<screen os="k"><userinput>ln -svf ../../lib64/$(readlink /lib64/libncursesw.so) /usr/lib64/libncursesw.so
-ln -svf ../../lib64/$(readlink /lib64/libmenuw.so) /usr/lib64/libmenuw.so
-ln -svf ../../lib64/$(readlink /lib64/libpanelw.so) /usr/lib64/libpanelw.so
-ln -svf ../../lib64/$(readlink /lib64/libformw.so) /usr/lib64/libformw.so
-rm -v /lib64/lib{ncursesw,menuw,panelw,formw}.so</userinput></screen>
+<screen os="i"><userinput>mv -v /usr/lib64/libncursesw.so.* /lib64
+ln -svf ../../lib64/$(readlink /usr/lib/libncursesw.so) /usr/lib64/libncursesw.so</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/ncurses-n32.xml
===================================================================
--- BOOK/final-system/multilib/ncurses-n32.xml	(revision 3f7243126d6af77be8da8cd96b61a7043e5ff12b)
+++ BOOK/final-system/multilib/ncurses-n32.xml	(revision 6463a01bba877e3f7d3be0acb54b16b2533ffb16)
@@ -40,5 +40,5 @@
 ./configure \
     --prefix=/usr \
-    --libdir=/lib32 \
+    --libdir=/usr/lib32 \
     --with-shared \
     --without-debug \
@@ -71,17 +71,10 @@
 <screen os="m2"><userinput>mv -v /usr/bin/ncursesw6-config{,-n32}</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="ncurses.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
+    <para os="h">Move the <filename class="libraryfile">libncursesw</filename>
+    shared library to <filename class="directory">/lib32</filename>
+    and create a new symlink in <filename class="directory">/usr/lib32</filename>:</para>
 
-<screen os="i"><userinput>mv -v /lib32/lib{panelw,menuw,formw,ncursesw,ncurses++w}.a /usr/lib32</userinput></screen>
-
-    <para os="j">Create symlinks in <filename class="directory">/usr/lib32:</filename></para>
-
-<screen os="k"><userinput>ln -svf ../../lib32/$(readlink /lib32/libncursesw.so) /usr/lib32/libncursesw.so
-ln -svf ../../lib32/$(readlink /lib32/libmenuw.so) /usr/lib32/libmenuw.so
-ln -svf ../../lib32/$(readlink /lib32/libpanelw.so) /usr/lib32/libpanelw.so
-ln -svf ../../lib32/$(readlink /lib32/libformw.so) /usr/lib32/libformw.so
-rm -v /lib32/lib{ncursesw,menuw,panelw,formw}.so</userinput></screen>
+<screen os="i"><userinput>mv -v /usr/lib32/libncursesw.so.* /lib32
+ln -svf ../../lib32/$(readlink /usr/lib/libncursesw.so) /usr/lib32/libncursesw.so</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/ncurses.xml
===================================================================
--- BOOK/final-system/multilib/ncurses.xml	(revision 3f7243126d6af77be8da8cd96b61a7043e5ff12b)
+++ BOOK/final-system/multilib/ncurses.xml	(revision 6463a01bba877e3f7d3be0acb54b16b2533ffb16)
@@ -40,5 +40,5 @@
 ./configure \
     --prefix=/usr \
-    --libdir=/lib \
+    --libdir=/usr/lib \
     --with-shared \
     --without-debug \
@@ -85,12 +85,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ncurses.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 3f7243126d6af77be8da8cd96b61a7043e5ff12b)
+++ BOOK/introduction/common/changelog.xml	(revision 6463a01bba877e3f7d3be0acb54b16b2533ffb16)
@@ -46,6 +46,12 @@
         <listitem>
           <para>[Chris] - Removed commands to create libcurses* symlinks in
-          Ncursese, as few packages now are likely to need them. Fixes ticket
+          Ncurses, as few packages now are likely to need them. Fixes ticket
           <ulink url="&clfs-ticket-root;1102">#1102.</ulink></para>
+        </listitem>
+        <listitem>
+          <para>[Chris] - Modified Ncurses instructions to move fewer libs
+          to /lib{,32,64} as only libncursesw itself is needed there.Fixes
+          ticket
+          <ulink url="&clfs-ticket-root;1104">#1104.</ulink></para>
         </listitem>
       </itemizedlist>