Index: BOOK/cross-tools/common/binutils.xml
===================================================================
--- BOOK/cross-tools/common/binutils.xml	(revision a9e389d1332d7291fc7d94c861c6af59e98958ac)
+++ BOOK/cross-tools/common/binutils.xml	(revision 6561a0fbf176320b84bc7818c69baf70f1d8e78d)
@@ -169,5 +169,5 @@
           information in the executable to determine which source file and line
           number are associated with the address</para>
-          <indexterm zone="ch-system-binutils addr2line">
+          <indexterm zone="ch-cross-tools-binutils addr2line">
             <primary sortas="b-addr2line">addr2line</primary>
           </indexterm>
@@ -179,5 +179,5 @@
         <listitem>
           <para>Creates, modifies, and extracts from archives</para>
-          <indexterm zone="ch-system-binutils ar">
+          <indexterm zone="ch-cross-tools-binutils ar">
             <primary sortas="b-ar">ar</primary>
           </indexterm>
@@ -190,5 +190,5 @@
           <para>An assembler that assembles the output of <command>gcc</command>
           into object files</para>
-          <indexterm zone="ch-system-binutils as">
+          <indexterm zone="ch-cross-tools-binutils as">
             <primary sortas="b-as">as</primary>
           </indexterm>
@@ -201,5 +201,5 @@
           <para>Used by the linker to de-mangle C++ and Java symbols and to keep
           overloaded functions from clashing</para>
-          <indexterm zone="ch-system-binutils c-filt">
+          <indexterm zone="ch-cross-tools-binutils c-filt">
             <primary sortas="b-c++filt">c++filt</primary>
           </indexterm>
@@ -211,5 +211,5 @@
         <listitem>
           <para>Displays call graph profile data</para>
-          <indexterm zone="ch-system-binutils gprof">
+          <indexterm zone="ch-cross-tools-binutils gprof">
             <primary sortas="b-gprof">gprof</primary>
           </indexterm>
@@ -223,5 +223,5 @@
           into a single file, relocating their data and tying up symbol
           references</para>
-          <indexterm zone="ch-system-binutils ld">
+          <indexterm zone="ch-cross-tools-binutils ld">
             <primary sortas="b-ld">ld</primary>
           </indexterm>
@@ -233,5 +233,5 @@
         <listitem>
           <para>Lists the symbols occurring in a given object file</para>
-          <indexterm zone="ch-system-binutils nm">
+          <indexterm zone="ch-cross-tools-binutils nm">
             <primary sortas="b-nm">nm</primary>
           </indexterm>
@@ -246,5 +246,5 @@
           shown is useful to programmers who are working on the compilation
           tools</para>
-          <indexterm zone="ch-system-binutils objdump">
+          <indexterm zone="ch-cross-tools-binutils objdump">
             <primary sortas="b-objdump">objdump</primary>
           </indexterm>
@@ -258,5 +258,5 @@
           in the archive; the index lists all of the symbols defined by archive
           members that are relocatable object files</para>
-          <indexterm zone="ch-system-binutils ranlib">
+          <indexterm zone="ch-cross-tools-binutils ranlib">
             <primary sortas="b-ranlib">ranlib</primary>
           </indexterm>
@@ -268,5 +268,5 @@
         <listitem>
           <para>Displays information about ELF type binaries</para>
-          <indexterm zone="ch-system-binutils readelf">
+          <indexterm zone="ch-cross-tools-binutils readelf">
             <primary sortas="b-readelf">readelf</primary>
           </indexterm>
@@ -279,5 +279,5 @@
           <para>Lists the section sizes and the total size for the given
           object files</para>
-          <indexterm zone="ch-system-binutils size">
+          <indexterm zone="ch-cross-tools-binutils size">
             <primary sortas="b-size">size</primary>
           </indexterm>
@@ -293,5 +293,5 @@
           the initializing and loading sections while for other types of files,
           it scans the entire file</para>
-          <indexterm zone="ch-system-binutils strings">
+          <indexterm zone="ch-cross-tools-binutils strings">
             <primary sortas="b-strings">strings</primary>
           </indexterm>
@@ -303,5 +303,5 @@
         <listitem>
           <para>Discards symbols from object files</para>
-          <indexterm zone="ch-system-binutils strip">
+          <indexterm zone="ch-cross-tools-binutils strip">
             <primary sortas="b-strip">strip</primary>
           </indexterm>
@@ -316,5 +316,5 @@
           <command>strerror</command>, <command>strtol</command>, and
           <command>strtoul</command></para>
-          <indexterm zone="ch-system-binutils libiberty">
+          <indexterm zone="ch-cross-tools-binutils libiberty">
             <primary sortas="c-libiberty">libiberty</primary>
           </indexterm>
@@ -326,5 +326,5 @@
         <listitem>
           <para>The Binary File Descriptor library</para>
-          <indexterm zone="ch-system-binutils libbfd">
+          <indexterm zone="ch-cross-tools-binutils libbfd">
             <primary sortas="c-libbfd">libbfd</primary>
           </indexterm>
@@ -339,5 +339,5 @@
           it is used for building utilities like
           <command>objdump</command>.</para>
-          <indexterm zone="ch-system-binutils libopcodes">
+          <indexterm zone="ch-cross-tools-binutils libopcodes">
             <primary sortas="c-libopcodes">libopcodes</primary>
           </indexterm>
Index: BOOK/cross-tools/common/gcc-final.xml
===================================================================
--- BOOK/cross-tools/common/gcc-final.xml	(revision a9e389d1332d7291fc7d94c861c6af59e98958ac)
+++ BOOK/cross-tools/common/gcc-final.xml	(revision 6561a0fbf176320b84bc7818c69baf70f1d8e78d)
@@ -147,5 +147,5 @@
         <listitem>
           <para>The C compiler</para>
-          <indexterm zone="ch-system-gcc cc">
+          <indexterm zone="ch-cross-tools-gcc-final cc">
             <primary sortas="b-cc">cc</primary>
           </indexterm>
@@ -158,5 +158,5 @@
           <para>The C preprocessor; it is used by the compiler to expand the
           #include, #define, and similar statements in the source files</para>
-          <indexterm zone="ch-system-gcc cpp">
+          <indexterm zone="ch-cross-tools-gcc-final cpp">
             <primary sortas="b-cpp">cpp</primary>
           </indexterm>
@@ -168,5 +168,5 @@
         <listitem>
           <para>The C++ compiler</para>
-          <indexterm zone="ch-system-gcc c">
+          <indexterm zone="ch-cross-tools-gcc-final c">
             <primary sortas="b-c++">c++</primary>
           </indexterm>
@@ -178,5 +178,5 @@
         <listitem>
           <para>The C++ compiler</para>
-          <indexterm zone="ch-system-gcc g">
+          <indexterm zone="ch-cross-tools-gcc-final g">
             <primary sortas="b-g++">g++</primary>
           </indexterm>
@@ -188,5 +188,5 @@
         <listitem>
           <para>The C compiler</para>
-          <indexterm zone="ch-system-gcc gcc">
+          <indexterm zone="ch-cross-tools-gcc-final gcc">
             <primary sortas="b-gcc">gcc</primary>
           </indexterm>
@@ -198,5 +198,5 @@
         <listitem>
           <para>A shell script used to help create useful bug reports</para>
-          <indexterm zone="ch-system-gcc gccbug">
+          <indexterm zone="ch-cross-tools-gcc-final gccbug">
             <primary sortas="b-gccbug">gccbug</primary>
           </indexterm>
@@ -209,5 +209,5 @@
           <para>A coverage testing tool; it is used to analyze programs to
           determine where optimizations will have the most effect</para>
-          <indexterm zone="ch-system-gcc gcov">
+          <indexterm zone="ch-cross-tools-gcc-final gcov">
             <primary sortas="b-gcov">gcov</primary>
           </indexterm>
@@ -219,5 +219,5 @@
         <listitem>
           <para>Contains run-time support for <command>gcc</command></para>
-          <indexterm zone="ch-system-gcc libgcc">
+          <indexterm zone="ch-cross-tools-gcc-final libgcc">
             <primary sortas="c-libgcc*">libgcc*</primary>
           </indexterm>
@@ -230,5 +230,5 @@
           <para>The libmudflap libraries are used by GCC for instrumenting
           pointer and array dereferencing operations.</para>
-          <indexterm zone="ch-system-gcc libmudflap">
+          <indexterm zone="ch-cross-tools-gcc-final libmudflap">
             <primary sortas="c-libmudflap*">libmudflap*</primary>
           </indexterm>
@@ -240,5 +240,5 @@
         <listitem>
           <para>The standard C++ library</para>
-          <indexterm zone="ch-system-gcc libstdc">
+          <indexterm zone="ch-cross-tools-gcc-final libstdc">
             <primary sortas="c-libstdc++">libstdc++</primary>
           </indexterm>
@@ -251,5 +251,5 @@
           <para>Provides supporting routines for the C++ programming
           language</para>
-          <indexterm zone="ch-system-gcc libsupc">
+          <indexterm zone="ch-cross-tools-gcc-final libsupc">
             <primary sortas="c-libsupc++">libsupc++</primary>
           </indexterm>
Index: BOOK/cross-tools/x86/uclibc.xml
===================================================================
--- BOOK/cross-tools/x86/uclibc.xml	(revision a9e389d1332d7291fc7d94c861c6af59e98958ac)
+++ BOOK/cross-tools/x86/uclibc.xml	(revision 6561a0fbf176320b84bc7818c69baf70f1d8e78d)
@@ -78,5 +78,5 @@
       </seglistitem>
     </segmentedlist>
-
+<!--
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@@ -84,5 +84,5 @@
       <?dbhtml list-presentation="table"?>
 
-<!--      <varlistentry id="uclibc">
+     <varlistentry id="uclibc">
         <term><filename
         class="headerfile">/usr/include/{asm,linux}/*.h</filename></term>
@@ -95,6 +95,6 @@
         </listitem>
       </varlistentry>
+    </variablelist>
 -->
-    </variablelist>
 
   </sect2>