Index: BOOK/chroot/common/chroot.xml
===================================================================
--- BOOK/chroot/common/chroot.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/common/chroot.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -17,5 +17,5 @@
   temporary tools:</para>
 
-<screen><userinput>chroot "$LFS" /tools/bin/env -i \
+<screen><userinput>chroot "$CLFS" /tools/bin/env -i \
     HOME=/root TERM="$TERM" PS1='\u:\w\$ ' \
     PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin \
@@ -38,5 +38,5 @@
   <envar>LFS</envar> variable anymore, because all work will be
   restricted to the CLFS file system.  This is because the Bash shell is
-  told that <filename class="directory">$LFS</filename> is now the root
+  told that <filename class="directory">$CLFS</filename> is now the root
   (<filename class="directory">/</filename>) directory.</para>
 
Index: BOOK/chroot/common/kernfs.xml
===================================================================
--- BOOK/chroot/common/kernfs.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/common/kernfs.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -23,10 +23,10 @@
   be mounted:</para>
 
-<screen><userinput>mkdir -pv $LFS/{dev,proc,sys}</userinput></screen>
+<screen><userinput>mkdir -pv $CLFS/{dev,proc,sys}</userinput></screen>
 
   <para>Now mount the file systems:</para>
 
-<screen><userinput>mount -vt proc proc $LFS/proc
-mount -vt sysfs sysfs $LFS/sys</userinput></screen>
+<screen><userinput>mount -vt proc proc $CLFS/proc
+mount -vt sysfs sysfs $CLFS/sys</userinput></screen>
 
   <para>Remember that if for any reason you stop working on the CLFS system
@@ -38,6 +38,6 @@
   starting Udev early in the boot process, so we create them here:</para>
 
-<screen><userinput>mknod -m 600 $LFS/dev/console c 5 1
-mknod -m 666 $LFS/dev/null c 1 3</userinput></screen>
+<screen><userinput>mknod -m 600 $CLFS/dev/console c 5 1
+mknod -m 666 $CLFS/dev/null c 1 3</userinput></screen>
 
   <para>Once the system is complete and booting, the rest of our device
@@ -48,5 +48,5 @@
   appear in the new CLFS filesystem:</para>
 
-<screen><userinput>/tools/bin/mount -o bind /dev $LFS/dev</userinput></screen>
+<screen><userinput>/tools/bin/mount -o bind /dev $CLFS/dev</userinput></screen>
 
   <para>Additional file systems will soon be mounted from within the chroot 
@@ -54,6 +54,6 @@
   for each of these now:</para>
 
-<screen><userinput>mount -f -vt tmpfs tmpfs $LFS/dev/shm
-mount -f -vt devpts -o gid=10,mode=620 devpts $LFS/dev/pts</userinput></screen>
+<screen><userinput>mount -f -vt tmpfs tmpfs $CLFS/dev/shm
+mount -f -vt devpts -o gid=10,mode=620 devpts $CLFS/dev/pts</userinput></screen>
 
 </sect1>
Index: BOOK/chroot/mips64/flags.xml
===================================================================
--- BOOK/chroot/mips64/flags.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/mips64/flags.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -20,5 +20,5 @@
   <para>You will need to set your host target triplet for o32 bit:</para>
 
-<screen><userinput>export LFS_TARGET32="`echo ${MACH_TYPE}| sed -e 's/64//g'`"</userinput></screen>
+<screen><userinput>export CLFS_TARGET32="`echo ${MACH_TYPE}| sed -e 's/64//g'`"</userinput></screen>
 
    <para>To prevent errors when you come back to your build, we will export these
@@ -28,5 +28,5 @@
 echo export BUILDN32=\""${BUILDN32}\"" &gt;&gt; ~/.bash_profile
 echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bash_profile
-echo export LFS_TARGET32=\""${LFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
+echo export CLFS_TARGET32=\""${CLFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
 
 </sect1>
Index: BOOK/chroot/ppc64/flags.xml
===================================================================
--- BOOK/chroot/ppc64/flags.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/ppc64/flags.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -19,5 +19,5 @@
   <para>You will need to set your host target triplet for 32 bit:</para>
 
-<screen><userinput>export LFS_TARGET32="powerpc-unknown-linux-gnu"</userinput></screen>
+<screen><userinput>export CLFS_TARGET32="powerpc-unknown-linux-gnu"</userinput></screen>
 
    <para>To prevent errors when you come back to your build, we will export these
@@ -26,5 +26,5 @@
 <screen><userinput>echo export BUILD32=\""${BUILD32}\"" &gt;&gt; ~/.bash_profile
 echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bash_profile
-echo export LFS_TARGET32=\""${LFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
+echo export CLFS_TARGET32=\""${CLFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
 
 </sect1>
Index: BOOK/chroot/sparc64/flags.xml
===================================================================
--- BOOK/chroot/sparc64/flags.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/sparc64/flags.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -19,5 +19,5 @@
   <para>You will need to set your host target triplet for 32 bit:</para>
 
-<screen><userinput>export LFS_TARGET32="sparcv9-unknown-linux-gnu"</userinput></screen>
+<screen><userinput>export CLFS_TARGET32="sparcv9-unknown-linux-gnu"</userinput></screen>
 
    <para>To prevent errors when you come back to your build, we will export these
@@ -26,5 +26,5 @@
 <screen><userinput>echo export BUILD32=\""${BUILD32}\"" &gt;&gt; ~/.bash_profile
 echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bash_profile
-echo export LFS_TARGET32=\""${LFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
+echo export CLFS_TARGET32=\""${CLFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
 
 </sect1>
Index: BOOK/chroot/x86_64/flags.xml
===================================================================
--- BOOK/chroot/x86_64/flags.xml	(revision 650183634706a38adb67d9fad7be75efebe3b380)
+++ BOOK/chroot/x86_64/flags.xml	(revision 07114c98c9c8701aae236e09c7cc2c3f00636a45)
@@ -19,5 +19,5 @@
   <para>You will need to set your host target triplet for 32 bit:</para>
 
-<screen><userinput>export LFS_TARGET32="i686-pc-linux-gnu"</userinput></screen>
+<screen><userinput>export CLFS_TARGET32="i686-pc-linux-gnu"</userinput></screen>
 
    <para>To prevent errors when you come back to your build, we will export these
@@ -26,5 +26,5 @@
 <screen><userinput>echo export BUILD32=\""${BUILD32}\"" &gt;&gt; ~/.bash_profile
 echo export BUILD64=\""${BUILD64}\"" &gt;&gt; ~/.bash_profile
-echo export LFS_TARGET32=\""${LFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
+echo export CLFS_TARGET32=\""${CLFS_TARGET32}\"" &gt;&gt; ~/.bash_profile</userinput></screen>
 
 </sect1>