Index: BOOK/final-system/64/gcc.xml
===================================================================
--- BOOK/final-system/64/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/64/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -27,4 +27,12 @@
 
 <screen os="p6"><userinput>patch -Np1 -i ../&gcc-pure64-patch;</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/common/gcc.xml
===================================================================
--- BOOK/final-system/common/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/common/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -25,4 +25,10 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <para os="fix1">Apply a <command>sed</command> subsitution that will
+    suppress the execution of the <command>fixincludes</command> script:</para>
+
+<screen os="fix2"><userinput>cp -v gcc/Makefile.in{,.orig}
+sed 's@\./fixinc\.sh@-c true@' gcc/Makefile.orig > gcc/Makefile.in</userinput></screen>
 
     <para os="d">Apply a <command>sed</command> substitution that will suppress the
Index: BOOK/final-system/mips/gcc.xml
===================================================================
--- BOOK/final-system/mips/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/mips/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -21,4 +21,12 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64-64/gcc.xml
===================================================================
--- BOOK/final-system/mips64-64/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/mips64-64/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -27,4 +27,12 @@
 
 <screen os="p6"><userinput>patch -Np1 -i ../&gcc-pure64-patch;</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/gcc.xml
===================================================================
--- BOOK/final-system/mips64/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/mips64/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -21,4 +21,12 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/gcc.xml
===================================================================
--- BOOK/final-system/multilib/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/multilib/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -21,4 +21,12 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc/gcc.xml
===================================================================
--- BOOK/final-system/ppc/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/ppc/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -21,4 +21,12 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/gcc.xml
===================================================================
--- BOOK/final-system/ppc64/gcc.xml	(revision 20469efe472ad0a1e640285e35b647eaac58d740)
+++ BOOK/final-system/ppc64/gcc.xml	(revision 7327f1f7a124b2a0573dbfbe36a8a8aba31f0b9b)
@@ -21,4 +21,12 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/gcc.xml"
+    xpointer="xpointer(//*[@os='fix2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"