Index: BOOK/cross-tools/arm/variables.xml
===================================================================
--- BOOK/cross-tools/arm/variables.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
+++ BOOK/cross-tools/arm/variables.xml	(revision 7926af12208715d0ce7ad7bf14ae880b753687da)
@@ -13,14 +13,17 @@
   <bridgehead renderas="sect4">Setting Host and Target</bridgehead>
 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
+  <para os="a">During the building of the cross-compile tools you will need to
+  set a few variables that will be dependent on your particular needs.
+  You will need to set the target triplet for the target architecture and CPU
+  endianess. If you do not know what triplet or endianess you want,
+  you can use the table at the bottom of this page as a reference. Set
+  the command using the method listed below:</para>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='b'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='c'])"/>
 
@@ -29,9 +32,9 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='g'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='h'])"/>
 
Index: BOOK/cross-tools/common/variables.xml
===================================================================
--- BOOK/cross-tools/common/variables.xml	(revision 7926af12208715d0ce7ad7bf14ae880b753687da)
+++ BOOK/cross-tools/common/variables.xml	(revision 7926af12208715d0ce7ad7bf14ae880b753687da)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-variables">
+  <?dbhtml filename="variables.html"?>
+
+  <title>Build Variables</title>
+
+  <bridgehead renderas="sect4">Setting Host and Target</bridgehead>
+
+<screen os="b"><userinput>export CLFS_HOST=$(echo ${MACHTYPE} | sed "s/-[^-]*/-cross/")
+export CLFS_TARGET=<replaceable>[target triplet]</replaceable></userinput></screen>
+
+  <para os="c">Now we will set the architecture and endianess of the CPU based
+  on the target triplet provided above:</para>
+
+<screen os="d"><userinput>export CLFS_ARCH=$(echo ${CLFS_TARGET} | sed -e 's/-.*//' -e 's/i.86/i386/')
+export CLFS_ENDIAN=little</userinput></screen>
+
+  <para os="g">Now we will add this to <filename>~/.bashrc</filename>, just in
+  case you have to exit and restart building later:</para>
+
+<screen os="h"><userinput>echo export CLFS_HOST=\""${CLFS_HOST}\"" &gt;&gt; ~/.bashrc
+echo export CLFS_TARGET=\""${CLFS_TARGET}\"" &gt;&gt; ~/.bashrc
+echo export CLFS_ARCH=\""${CLFS_ARCH}\"" &gt;&gt; ~/.bashrc
+echo export CLFS_ENDIAN=\""${CLFS_ENDIAN}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+
+</sect1>
Index: BOOK/cross-tools/mips/variables.xml
===================================================================
--- BOOK/cross-tools/mips/variables.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
+++ BOOK/cross-tools/mips/variables.xml	(revision 7926af12208715d0ce7ad7bf14ae880b753687da)
@@ -13,14 +13,17 @@
   <bridgehead renderas="sect4">Setting Host and Target</bridgehead>
 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
+  <para os="a">During the building of the cross-compile tools you will need to
+  set a few variables that will be dependent on your particular needs.
+  You will need to set the target triplet for the target architecture, the MIPS
+  level, and CPU endianess. If you do not know what triplet or level you want,
+  you can use the table at the bottom of this page as a reference. Set
+  the command using the method listed below:</para>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='b'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='c'])"/>
 
@@ -36,5 +39,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../common/variables.xml"
   xpointer="xpointer(//*[@os='g'])"/>
 
Index: BOOK/cross-tools/x86/variables.xml
===================================================================
--- BOOK/cross-tools/x86/variables.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
+++ BOOK/cross-tools/x86/variables.xml	(revision 7926af12208715d0ce7ad7bf14ae880b753687da)
@@ -36,5 +36,6 @@
 echo export CLFS_TARGET=\""${CLFS_TARGET}\"" &gt;&gt; ~/.bashrc
 echo export CLFS_ARCH=\""${CLFS_ARCH}\"" &gt;&gt; ~/.bashrc
-echo export CLFS_ENDIAN=\""${CLFS_ENDIAN}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+echo export CLFS_ENDIAN=\""${CLFS_ENDIAN}\"" &gt;&gt; ~/.bashrc
+echo export CLFS_ENDIAN=\""${CLFS_CPU}\"" &gt;&gt; ~/.bashrc</userinput></screen>
 
   <table os="i">