Index: final-preps/addinguser.xml
===================================================================
--- final-preps/addinguser.xml	(revision 9cb6b640191e6faab21f5c1ef6797fdfff1f5b07)
+++ final-preps/addinguser.xml	(revision 8018c668a294a9d95e319ae2c8fc24813d918435)
@@ -9,5 +9,5 @@
   <?dbhtml filename="addinguser.html"?>
 
-  <title>Adding the LFS User</title>
+  <title>Adding the CLFS User</title>
 
   <para>When logged in as user <systemitem class="username">root</systemitem>,
@@ -16,11 +16,11 @@
   You could use your own user name, but to make it easier to set up a clean
   work environment, create a new user called <systemitem
-  class="username">lfs</systemitem> as a member of a new group (also named
-  <systemitem class="groupname">lfs</systemitem>) and use this user during
+  class="username">clfs</systemitem> as a member of a new group (also named
+  <systemitem class="groupname">clfs</systemitem>) and use this user during
   the installation process. As <systemitem class="username">root</systemitem>,
   issue the following commands to add the new user:</para>
 
-<screen><userinput>groupadd lfs
-useradd -s /bin/bash -g lfs -m -k /dev/null lfs</userinput></screen>
+<screen><userinput>groupadd clfs
+useradd -s /bin/bash -g clfs -m -k /dev/null clfs</userinput></screen>
 
   <variablelist>
@@ -31,13 +31,13 @@
       <listitem>
         <para>This makes <command>bash</command> the default shell for
-        user <systemitem class="username">lfs</systemitem>.</para>
+        user <systemitem class="username">clfs</systemitem>.</para>
       </listitem>
     </varlistentry>
 
     <varlistentry>
-      <term><parameter>-g lfs</parameter></term>
+      <term><parameter>-g clfs</parameter></term>
       <listitem>
-        <para>This option adds user <systemitem class="username">lfs</systemitem>
-        to group <systemitem class="groupname">lfs</systemitem>.</para>
+        <para>This option adds user <systemitem class="username">clfs</systemitem>
+        to group <systemitem class="groupname">clfs</systemitem>.</para>
       </listitem>
     </varlistentry>
@@ -47,5 +47,5 @@
       <listitem>
         <para>This creates a home directory for <systemitem
-        class="username">lfs</systemitem>.</para>
+        class="username">clfs</systemitem>.</para>
       </listitem>
     </varlistentry>
@@ -61,5 +61,5 @@
 
     <varlistentry>
-      <term><parameter>lfs</parameter></term>
+      <term><parameter>clfs</parameter></term>
       <listitem>
         <para>This is the actual name for the created group and user.</para>
@@ -69,31 +69,31 @@
   </variablelist>
 
-  <para>To log in as <systemitem class="username">lfs</systemitem> (as
-  opposed to switching to user <systemitem class="username">lfs</systemitem>
+  <para>To log in as <systemitem class="username">clfs</systemitem> (as
+  opposed to switching to user <systemitem class="username">clfs</systemitem>
   when logged in as <systemitem class="username">root</systemitem>, which
-  does not require the <systemitem class="username">lfs</systemitem> user
-  to have a password), give <systemitem class="username">lfs</systemitem>
+  does not require the <systemitem class="username">clfs</systemitem> user
+  to have a password), give <systemitem class="username">clfs</systemitem>
   a password:</para>
 
-<screen><userinput>passwd lfs</userinput></screen>
+<screen><userinput>passwd clfs</userinput></screen>
 
-  <para>Grant <systemitem class="username">lfs</systemitem> full access to
+  <para>Grant <systemitem class="username">clfs</systemitem> full access to
   <filename class="directory">$CLFS/cross-tools</filename> and
   <filename class="directory">$CLFS/tools</filename> by making <systemitem
-  class="username">lfs</systemitem> the directorys' owner:</para>
+  class="username">clfs</systemitem> the directorys' owner:</para>
 
-<screen><userinput>chown -v lfs $CLFS/tools
-chown -v lfs $CLFS/cross-tools</userinput></screen>
+<screen><userinput>chown -v clfs $CLFS/tools
+chown -v clfs $CLFS/cross-tools</userinput></screen>
 
   <para>If a separate working directory was created as suggested, 
-  give user <systemitem class="username">lfs</systemitem> ownership of this directory:</para>
+  give user <systemitem class="username">clfs</systemitem> ownership of this directory:</para>
 
-<screen><userinput>chown -v lfs $CLFS/sources</userinput></screen>
+<screen><userinput>chown -v clfs $CLFS/sources</userinput></screen>
 
-  <para>Next, login as user <systemitem class="username">lfs</systemitem>.
+  <para>Next, login as user <systemitem class="username">clfs</systemitem>.
   This can be done via a virtual console, through a display manager, or
   with the following substitute user command:</para>
 
-<screen><userinput>su - lfs</userinput></screen>
+<screen><userinput>su - clfs</userinput></screen>
 
   <para>The <quote><parameter>-</parameter></quote> instructs
Index: final-preps/settingenviron.xml
===================================================================
--- final-preps/settingenviron.xml	(revision 9cb6b640191e6faab21f5c1ef6797fdfff1f5b07)
+++ final-preps/settingenviron.xml	(revision 8018c668a294a9d95e319ae2c8fc24813d918435)
@@ -13,5 +13,5 @@
   <para os="a">Set up a good working environment by creating two new startup
   files for the <command>bash</command> shell. While logged in as user
-  <systemitem class="username">lfs</systemitem>, issue the following
+  <systemitem class="username">clfs</systemitem>, issue the following
   command to create a new <filename>.bash_profile</filename>:</para>
 
@@ -20,5 +20,5 @@
 EOF</userinput></screen>
 
-  <para os="c">When logged on as user <systemitem class="username">lfs</systemitem>,
+  <para os="c">When logged on as user <systemitem class="username">clfs</systemitem>,
   the initial shell is usually a <emphasis>login</emphasis> shell which
   reads the <filename>/etc/profile</filename> of the host (probably
@@ -42,8 +42,8 @@
 <literal>set +h
 umask 022
-LFS=/mnt/lfs
+CLFS=/mnt/clfs
 LC_ALL=POSIX
 PATH=/cross-tools/bin:/bin:/usr/bin
-export LFS LC_ALL PATH</literal>
+export CLFS LC_ALL PATH</literal>
 EOF</userinput></screen>
 
@@ -66,5 +66,5 @@
   mode 644 and directories with mode 755).</para>
 
-  <para os="h">The <envar>LFS</envar> variable should be set to the
+  <para os="h">The <envar>CLFS</envar> variable should be set to the
   chosen mount point.</para>
 
Index: prologue/common/foreword.xml
===================================================================
--- prologue/common/foreword.xml	(revision 9cb6b640191e6faab21f5c1ef6797fdfff1f5b07)
+++ prologue/common/foreword.xml	(revision 8018c668a294a9d95e319ae2c8fc24813d918435)
@@ -35,10 +35,10 @@
   allowed me to create compact and streamlined Linux systems which are
   faster and take up less space than traditional operating systems. I
-  called this system a Linux From Scratch system, or an LFS system for
+  called this system a Linux From Scratch system, or an CLFS system for
   short.</para>
 
   <para>As I shared my goals and experiences with other members of the
   Linux community, it became apparent that there was sustained interest
-  in the ideas set forth in my Linux adventures. Such custom-built LFS
+  in the ideas set forth in my Linux adventures. Such custom-built CLFS
   systems serve not only to meet user specifications and requirements, but
   also serve as an ideal learning opportunity for programmers and system
@@ -57,5 +57,5 @@
   system.</para>
 
-  <para>I hope you will have a great time working on your own LFS
+  <para>I hope you will have a great time working on your own CLFS
   system, and enjoy the numerous benefits of having a system that is
   truly <emphasis>your own</emphasis>.</para>
Index: prologue/common/prerequisites.xml
===================================================================
--- prologue/common/prerequisites.xml	(revision 9cb6b640191e6faab21f5c1ef6797fdfff1f5b07)
+++ prologue/common/prerequisites.xml	(revision 8018c668a294a9d95e319ae2c8fc24813d918435)
@@ -51,5 +51,5 @@
       <para>This is an LFS Hint written specifically for users new to Linux.
       It includes a list of links to excellent sources of information on a
-      wide range of topics. Anyone attempting to install LFS should have an
+      wide range of topics. Anyone attempting to install CLFS should have an
       understanding of many of the topics in this hint.</para>
     </listitem>
Index: prologue/common/typography.xml
===================================================================
--- prologue/common/typography.xml	(revision 9cb6b640191e6faab21f5c1ef6797fdfff1f5b07)
+++ prologue/common/typography.xml	(revision 8018c668a294a9d95e319ae2c8fc24813d918435)
@@ -23,5 +23,5 @@
   referenced.</para>
 
-<screen><computeroutput>install-info: unknown option '--dir-file=/mnt/lfs/usr/info/dir'</computeroutput></screen>
+<screen><computeroutput>install-info: unknown option '--dir-file=/mnt/clfs/usr/info/dir'</computeroutput></screen>
 
   <para>This form of text (fixed-width text) shows screen output,
@@ -34,5 +34,5 @@
   Its main purpose is to emphasize important points or items.</para>
 
-  <para><ulink url="&lfs-root;"/></para>
+  <para><ulink url="&clfs-root;"/></para>
 
   <para>This format is used for hyperlinks, both within the CLFS