Index: BOOK/final-system/common/e2fsprogs.xml
===================================================================
--- BOOK/final-system/common/e2fsprogs.xml	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/final-system/common/e2fsprogs.xml	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -29,4 +29,10 @@
     <title>Installation of E2fsprogs</title>
 
+    <para os="s1">Fix a potential security issue identified upstream:</para>
+
+<screen os="s2"><userinput>sed -e '/int.*old_desc_blocks/s/int/blk64_t/' \
+    -e '/if (old_desc_blocks/s/super->s_first_meta_bg/desc_blocks/' \
+    -i lib/ext2fs/closefs.c</userinput></screen>
+
     <para os="a">The E2fsprogs documentation recommends that the package be
     built in a subdirectory of the source tree:</para>
@@ -37,8 +43,7 @@
     <para os="c">Prepare E2fsprogs for compilation:</para>
 
-<screen os="d"><userinput>../configure --prefix=/usr --with-root-prefix="" \
-    --enable-elf-shlibs --disable-libblkid \
-    --disable-libuuid --disable-fsck \
-    --disable-uuidd</userinput></screen>
+<screen os="d"><userinput>../configure --prefix=/usr --bindir=/bin \
+    --with-root-prefix="" --enable-elf-shlibs --disable-libblkid \
+    --disable-libuuid --disable-fsck --disable-uuidd</userinput></screen>
 
     <variablelist os="e">
Index: BOOK/final-system/multilib/e2fsprogs-64bit.xml
===================================================================
--- BOOK/final-system/multilib/e2fsprogs-64bit.xml	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/final-system/multilib/e2fsprogs-64bit.xml	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -29,4 +29,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="e2fsprogs.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
@@ -41,8 +49,7 @@
 <screen os="d"><userinput>PKG_CONFIG_PATH="${PKG_CONFIG_PATH64}" \
 CC="gcc ${BUILD64}"  \
-../configure --prefix=/usr --with-root-prefix="" \
-    --enable-elf-shlibs --disable-libblkid \
-    --disable-libuuid --disable-fsck \
-    --disable-uuidd</userinput></screen>
+../configure --prefix=/usr --bindir=/bin --with-root-prefix="" \
+    --enable-elf-shlibs --disable-libblkid --disable-libuuid \
+    --disable-fsck --disable-uuidd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/e2fsprogs-n32.xml
===================================================================
--- BOOK/final-system/multilib/e2fsprogs-n32.xml	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/final-system/multilib/e2fsprogs-n32.xml	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -30,4 +30,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="e2fsprogs.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
@@ -42,8 +50,7 @@
 <screen os="d"><userinput>PKG_CONFIG_PATH="${PKG_CONFIG_PATHN32}" \
 CC="gcc ${BUILDN32}" \
-../configure --prefix=/usr --with-root-prefix="" \
-    --enable-elf-shlibs --disable-libblkid \
-    --disable-libuuid --disable-fsck \
-    --disable-uuidd</userinput></screen>
+../configure --prefix=/usr --bindir=/bin --with-root-prefix="" \
+    --enable-elf-shlibs --disable-libblkid --disable-libuuid \
+    --disable-fsck --disable-uuidd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/e2fsprogs.xml
===================================================================
--- BOOK/final-system/multilib/e2fsprogs.xml	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/final-system/multilib/e2fsprogs.xml	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -25,4 +25,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/e2fsprogs.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
@@ -37,8 +45,7 @@
 <screen os="d"><userinput>PKG_CONFIG_PATH="${PKG_CONFIG_PATH32}" \
 CC="gcc ${BUILD32}" \
-../configure --prefix=/usr --with-root-prefix="" \
-    --enable-elf-shlibs --disable-libblkid \
-    --disable-libuuid --disable-fsck \
-    --disable-uuidd</userinput></screen>
+../configure --prefix=/usr --bindir=/bin --with-root-prefix="" \
+    --enable-elf-shlibs --disable-libblkid --disable-libuuid \
+    --disable-fsck --disable-uuidd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/introduction/common/changelog.xml	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -56,4 +56,8 @@
           <ulink url="&clfs-ticket-root;1045">#1045.</ulink></para> 
         </listitem>
+        <listitem>
+          <para>[William Harrington] - Update E2fsprogs to 1.42.13. Fixes ticket
+          <ulink url="&clfs-ticket-root;1046">#1046.</ulink></para> 
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 13cfe95a7d7185446a9ca354f762e99767fbc710)
+++ BOOK/packages.ent	(revision 8119e26a1365d5d413621c7aff12f1e5a164f17f)
@@ -134,8 +134,8 @@
 <!ENTITY dvhtool-home "http://packages.qa.debian.org/d/dvhtool.html">
 
-<!ENTITY e2fsprogs-version "1.42.12">
-<!ENTITY e2fsprogs-size "4,778 KB">
+<!ENTITY e2fsprogs-version "1.42.13">
+<!ENTITY e2fsprogs-size "4,802 KB">
 <!ENTITY e2fsprogs-url "&kernel;linux/kernel/people/tytso/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.xz">
-<!ENTITY e2fsprogs-md5 "f54fc83e4c974d4efcb60c29a1a4cd6f">
+<!ENTITY e2fsprogs-md5 "ce8e4821f5f53d4ebff4195038e38673">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net">
 