Index: BOOK/beyond-clfs3/common/iptables.xml
===================================================================
--- BOOK/beyond-clfs3/common/iptables.xml	(revision 1603a9d9fa1100aae870bed2276898a4e2fc0db7)
+++ BOOK/beyond-clfs3/common/iptables.xml	(revision 8550e7a4afb16512f061cfa550585a1226c09f8a)
@@ -28,5 +28,5 @@
     <para os="a">Compile the package:</para>
 
-<screen os="b"><userinput>make CC="${CC} ${BUILD} -Os" LD=${LD} DO_MULTI=1 PREFIX=/usr \
+<screen os="b"><userinput>make CC="${CC} ${BUILD}" COPT_FLAGS="-Os" LD=${LD} DO_MULTI=1 PREFIX=/usr \
    LIBDIR=/lib BINDIR=/sbin</userinput></screen>
 
Index: BOOK/cross-tools/x86/uclibc-headers.xml
===================================================================
--- BOOK/cross-tools/x86/uclibc-headers.xml	(revision 1603a9d9fa1100aae870bed2276898a4e2fc0db7)
+++ BOOK/cross-tools/x86/uclibc-headers.xml	(revision 8550e7a4afb16512f061cfa550585a1226c09f8a)
@@ -47,5 +47,5 @@
   xpointer="xpointer(//*[@os='h'])"/>
 
-<screen os="i"><userinput>cp .config .config.orig
+<screen os="i"><userinput>cp .config{,.orig}
 sed -e "/^KERNEL_HEADERS/s:=.*:=\"${CLFS}/usr/include\":" \
     -e "/^SHARED_LIB_LOADER_PREFIX/s:=.*:=\"/lib\":" \
Index: BOOK/cross-tools/x86/uclibc.xml
===================================================================
--- BOOK/cross-tools/x86/uclibc.xml	(revision 1603a9d9fa1100aae870bed2276898a4e2fc0db7)
+++ BOOK/cross-tools/x86/uclibc.xml	(revision 8550e7a4afb16512f061cfa550585a1226c09f8a)
@@ -33,8 +33,8 @@
     so that the headers will be copied instead:</para>
 
-<screen os="d"><userinput>cp Makefile Makefile.orig
+<screen os="d"><userinput>cp Makefile{,.orig}
 sed -e 's/$(LN) -fs/cp/g' Makefile.orig &gt; Makefile
 for file in `find libc/sysdeps/linux -name Makefile`; do
-        cp $file $file.orig
+        cp $file{,.orig}
         sed -e 's/$(LN) -fs/cp/g' -e 's@../libc/@$(TOPDIR)libc/@g' $file.orig > $file
 done</userinput></screen>
@@ -53,5 +53,5 @@
    compiled and put into its proper location:</para>
 
-<screen os="i"><userinput>cp .config .config.orig
+<screen os="i"><userinput>cp .config{,.orig}
 sed -e "/^CROSS_COMPILER_PREFIX/s:=.*:=\"${CLFS_TARGET}-\":" \
     -e "/^KERNEL_HEADERS/s:=.*:=\"${CLFS}/usr/include\":" \
@@ -69,5 +69,5 @@
 		UCLIBC_USE_NETLINK LDSO_PRELOAD_FILE_SUPPORT"
 for config in $UCLIBC_OPTIONS; do
-        cp .config .config.orig
+        cp .config{,.orig}
         sed -e "s:# ${config} is not set:${config}=y:" .config.orig > .config
 done
Index: BOOK/final-system/common/zlib.xml
===================================================================
--- BOOK/final-system/common/zlib.xml	(revision 1603a9d9fa1100aae870bed2276898a4e2fc0db7)
+++ BOOK/final-system/common/zlib.xml	(revision 8550e7a4afb16512f061cfa550585a1226c09f8a)
@@ -30,7 +30,12 @@
 <screen os="p2"><userinput>patch -Np1 -i ../&zlib-destdir-patch;</userinput></screen>
 
-    <para os="a">Prepare Zlib for compilation:</para>
+    <para os="a">Change the default optimization to Os</para>
 
-<screen os="b"><userinput>CC="${CC} ${BUILD}" ./configure --prefix=/usr --shared</userinput></screen>
+<screen os="b"><userinput>cp configure{,.orig}
+sed -e 's/-O3/-Os/g' configure.orig > configure</userinput></screen>
+
+    <para os="c">Prepare Zlib for compilation:</para>
+
+<screen os="d"><userinput>CC="${CC} ${BUILD}" ./configure --prefix=/usr --shared</userinput></screen>
 
     <variablelist os="aa">
Index: BOOK/final-system/x86/busybox.xml
===================================================================
--- BOOK/final-system/x86/busybox.xml	(revision 1603a9d9fa1100aae870bed2276898a4e2fc0db7)
+++ BOOK/final-system/x86/busybox.xml	(revision 8550e7a4afb16512f061cfa550585a1226c09f8a)
@@ -66,10 +66,10 @@
                  CONFIG_ENVUIDGID CONFIG_ENVDIR CONFIG_SOFTLIMIT CONFIG_FEATURE_2_4_MODULES"
 for config in $BUSYBOX_OPTIONS; do
-        cp .config .config.orig
+        cp .config{,.orig}
         sed -e "s:${config}=y:${config}=n:" .config.orig &gt; .config
 done
 BUSYBOX_OPTIONS="CONFIG_FEATURE_SH_IS_ASH CONFIG_FEATURE_TRACEROUTE_VERBOSE CONFIG_FEATURE_TRACEROUTE_SOURCE_ROUTE"
 for config in $BUSYBOX_OPTIONS; do
-        cp .config .config.orig
+        cp .config{,.orig}
         sed -e "s:# ${config} is not set:${config}=y:" .config.orig &gt; .config
 done</userinput></screen>