Index: boot/64/udev.xml
===================================================================
--- boot/64/udev.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ boot/64/udev.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -29,5 +29,6 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" udevdir=/dev</userinput></screen>
+<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" \
+    EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/common/udev.xml
===================================================================
--- boot/common/udev.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ boot/common/udev.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -29,5 +29,6 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC}" LD="${CC}"  udevdir=/dev</userinput></screen>
+<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC}" LD="${CC}" \
+    EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -39,5 +40,5 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="aa"><userinput>make DESTDIR=${LFS} udevdir=/dev install</userinput></screen>
+<screen os="aa"><userinput>make DESTDIR=${LFS} EXTRAS="extras/firmware extras/run_directory" install</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/multilib/udev.xml
===================================================================
--- boot/multilib/udev.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ boot/multilib/udev.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -29,5 +29,6 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" udevdir=/dev</userinput></screen>
+<screen><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" \
+    EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/common/udev.xml
===================================================================
--- final-system/common/udev.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ final-system/common/udev.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -38,5 +38,5 @@
     <para os="c">Compile the package:</para>
 
-<screen><userinput>make EXTRAS="extras/firmware extras/run_directory" udevdir=/dev</userinput></screen>
+<screen><userinput>make EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <variablelist os="d">
@@ -44,8 +44,9 @@
 
       <varlistentry>
-      <term><parameter>udevdir=/dev</parameter></term>
-        <listitem>
-          <para>This tells <command>udev</command> in which directory
-          devices nodes are to be created.</para>
+      <term><parameter>EXTRAS="extras/firmware extras/run_directory"</parameter></term>
+        <listitem>
+          <para>This builds the <command>udev_run_devd</command> and
+          <command>udev_run_hotplugd</command> binaries, which are required for
+          correct handling of hotpluggable devices.</para>
         </listitem>
       </varlistentry>
@@ -58,6 +59,19 @@
     <para os="f">Install the package:</para>
 
-<screen os="g"><userinput>make EXTRAS="extras/firmware extras/run_directory" udevdir=/dev install</userinput></screen>
-
+<screen os="g"><userinput>make DESTDIR=/ EXTRAS="extras/firmware extras/run_directory" install</userinput></screen>
+
+    <variablelist os="g1">
+      <title>The meaning of the make parameter:</title>
+
+      <varlistentry>
+      <term><parameter>DESTDIR=/</parameter></term>
+        <listitem>
+          <para>This prevents the Udev build process from killing any
+          <command>udevd</command> processes that may be running on the
+          system.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
     <para os="h">Udev's configuration is far from ideal by default, so install
     the configuration files here:</para>
Index: final-system/multilib/udev.xml
===================================================================
--- final-system/multilib/udev.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ final-system/multilib/udev.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -46,4 +46,8 @@
     href="../common/udev.xml"
     xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/udev.xml"
+    xpointer="xpointer(//*[@os='g1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ introduction/common/changelog.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -42,4 +42,8 @@
       <para>November 9, 2005</para>
       <itemizedlist>
+        <listitem>
+          <para>[manuel] - Stop Udev from killing udevd processes on the
+          system and removed udevdir=/dev. Ported from LFS-SVN.</para>
+        </listitem>
         <listitem>
           <para>[manuel] - Install the binaries from Less to /usr/bin instead
Index: the-end/reboot.xml
===================================================================
--- the-end/reboot.xml	(revision db63cccc8d969149eb1a88b7b4fa44379e8b79c6)
+++ the-end/reboot.xml	(revision 9090bd70134eaebd0f07608a0853892a530ff0be)
@@ -32,9 +32,7 @@
 <screen><userinput>logout</userinput></screen>
 
-  <para>Stop the <command>udevd</command> daemon that Udev started earlier,
-  then unmount the virtual files systems:</para>
+  <para>Then unmount the virtual files systems:</para>
 
-<screen><userinput>pkill udevd
-umount $LFS/dev/pts
+<screen><userinput>umount $LFS/dev/pts
 umount $LFS/dev/shm
 umount $LFS/dev