Index: BOOK/cross-tools/alpha/glibc.xml
===================================================================
--- BOOK/cross-tools/alpha/glibc.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/cross-tools/alpha/glibc.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -58,11 +58,7 @@
     xpointer="xpointer(//*[@os='p8'])"/>
 
-    <para os="a1">The following patch fixes some inline assembler in Glibc:</para>
+    <para os="a1">The following patch makes sysdep-cancel use one region instead of two:</para>
 
-<screen os="a2"><userinput>patch -Np1 -i ../&glibc-ioperm_fix-patch;</userinput></screen>
-
-    <para os="a3">The following patch adds sigsuspend_nocancel support to Glibc:</para>
-
-<screen os="a4"><userinput>patch -Np1 -i ../&glibc-alpha_sigsuspend-patch;</userinput></screen>
+<screen os="a2"><userinput>patch -Np1 -i ../&glibc-sysdep_cancel-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/arm/glibc.xml
===================================================================
--- BOOK/cross-tools/arm/glibc.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/cross-tools/arm/glibc.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -65,4 +65,8 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='p8'])"/>
+
+    <para os="ar1">The following patch defines RTLD_SINGLE_THREAD_P for arm.</para>
+
+<screen os="ar2"><userinput>patch -Np1 -i ../&glibc-RTLD_SINGLE_THREAD_P-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/hppa/glibc.xml
===================================================================
--- BOOK/cross-tools/hppa/glibc.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/cross-tools/hppa/glibc.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -66,8 +66,8 @@
     xpointer="xpointer(//*[@os='p8'])"/>
 
-    <para os="p9">This patch adds the TLS reloc numbers so Glibc can compile
+    <para os="hp1">This patch adds the TLS reloc numbers so Glibc can compile
     with working NPTL support.</para>
 
-<screen os="p10"><userinput>patch -Np1 -i ../&glibc-hppa_nptl-patch;</userinput></screen>
+<screen os="hp2"><userinput>patch -Np1 -i ../&glibc-hppa_nptl-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -99,7 +99,11 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
+<screen os="i"><userinput>BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc" \
+    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
+    ../glibc-&glibc-version;/configure --prefix=/usr \
+    --libexecdir=/usr/lib/glibc --host=${CLFS_TARGET} --build=${CLFS_HOST} \
+    --disable-profile --enable-add-ons --with-tls --enable-kernel=2.6.9 \
+    --with-__thread --with-binutils=${CLFS}/cross-tools/bin \
+    --with-headers=${CLFS}/usr/include --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/x86-chapter.xml
===================================================================
--- BOOK/cross-tools/x86-chapter.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/cross-tools/x86-chapter.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -19,5 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/glibc-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc-static.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/glibc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gcc-final.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
Index: BOOK/cross-tools/x86/glibc.xml
===================================================================
--- BOOK/cross-tools/x86/glibc.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
+++ BOOK/cross-tools/x86/glibc.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -0,0 +1,155 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-glibc" role="wrap">
+  <title>Glibc-&glibc-version;</title>
+
+  <?dbhtml filename="glibc.html"?>
+
+  <indexterm zone="ch-cross-tools-glibc">
+    <primary sortas="a-Glibc">Glibc</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Glibc</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../arm/glibc.xml"
+    xpointer="xpointer(//*[@os='u1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../arm/glibc.xml"
+    xpointer="xpointer(//*[@os='u2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p5'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p6'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p7'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p8'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+<screen os="i"><userinput>BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc" \
+    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
+    CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; ${CLFS_TARGET}) -mtune=generic -g -O2" \
+    ../glibc-&glibc-version;/configure --prefix=/usr \
+    --libexecdir=/usr/lib/glibc --host=${CLFS_TARGET} --build=${CLFS_HOST} \
+    --disable-profile --enable-add-ons --with-tls --enable-kernel=2.6.0 \
+    --with-__thread --with-binutils=${CLFS}/cross-tools/bin \
+    --with-headers=${CLFS}/usr/include --cache-file=config.cache</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='q'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('i18n-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-ld'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('contents-glibc'))"/>
+
+</sect1>
Index: BOOK/final-system/common/coreutils.xml
===================================================================
--- BOOK/final-system/common/coreutils.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/final-system/common/coreutils.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -38,11 +38,19 @@
 <screen os="p4"><userinput>patch -Np1 -i ../&coreutils-uname-patch;</userinput></screen>
 
-    <para os="aa">When the uname patch was applied. A change was made to
-    <filename>uname.c</filename>. This change is causing the man Makefile to
-    try and regenerate the man page for uname. Since the compiled uname can
-    not be executed the build will fail. The following command gives the uname
-    man page a newer timestamp then <filename>uname.c</filename>.</para>
-
-<screen os="ab"><userinput>touch man/uname.1</userinput></screen>
+    <para os="s1">The following command renames the internal implementation of
+    futimens to gl_futimens as newer versions of Glibc provide an incompatible
+    version:</para>
+
+<screen os="s2"><userinput>sed -i "s/futimens/gl_&amp;/" $(grep -lr futimens *)</userinput></screen>
+
+    <para os="aa">When the uname patch and the sed above were applied. The
+    source files for uname and touch were updated. Because they have a newer
+    timestamp then the man pages the <filename>Makefile</filename> is going to
+    try to regenerate the man pages. If executables for the target architecture
+    can not be executed by the host system, the build will fail. The following
+    command gives the two man pages a newer timestamp then their cooresponding
+    source files:</para>
+
+<screen os="ab"><userinput>touch man/uname.1 man/touch.1</userinput></screen>
 
     <para os="a">Configure can not properly determine how to get free space
Index: BOOK/final-system/common/gzip.xml
===================================================================
--- BOOK/final-system/common/gzip.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/final-system/common/gzip.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -26,4 +26,10 @@
     <title>Installation of Gzip</title>
 
+    <para os="s1">The following command renames the internal implementation of
+    futimens to gl_futimens as newer versions of Glibc provide an incompatible
+    version:</para>
+
+<screen os="s2"><userinput>sed -i "s/futimens/gl_&amp;/" $(grep -lr futimens *)</userinput></screen>
+
     <para os="a">Prepare Gzip for compilation:</para>
 
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/general.ent	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -3,5 +3,5 @@
 <!ENTITY month "07"> <!-- Use two digits -->
 <!ENTITY month_name "July">
-<!ENTITY day "01"> <!-- Use two digits -->
+<!ENTITY day "22"> <!-- Use two digits -->
 <!ENTITY year "2007"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/introduction/common/changelog.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -36,4 +36,16 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>July 22, 2007</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated GCC to 4.2.1.</para>
+        </listitem>
+        <listitem>
+          <para>[jciccone] - Updated Glibc to 2.6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/materials/alpha/patches.xml
===================================================================
--- BOOK/materials/alpha/patches.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/materials/alpha/patches.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -14,18 +14,9 @@
 
     <varlistentry>
-      <term>Glibc ioperm Fix Patch - <token>&glibc-ioperm_fix-patch-size;</token>:</term>
+      <term>Glibc sysdep_cancel Patch - <token>&glibc-sysdep_cancel-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;&glibc-ioperm_fix-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-ioperm_fix-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Glibc Alpha sigsuspend Patch - <token>&glibc-alpha_sigsuspend-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&glibc-alpha_sigsuspend-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-alpha_sigsuspend-patch-md5;</literal></para>
+        url="&patches-root;&glibc-sysdep_cancel-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-sysdep_cancel-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/materials/arm/patches.xml
===================================================================
--- BOOK/materials/arm/patches.xml	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/materials/arm/patches.xml	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -10,18 +10,17 @@
 
   <title>Additional Patches for ARM</title>
-<!--
+
   <variablelist role="materials">
 
-    <varlistentry os="coreutils-x86_uname-patch">
-      <term>Coreutils Uname Patch - <token>&coreutils-x86_uname-patch-size;</token>:</term>
+    <varlistentry>
+      <term>Glibc RTLD_SINGLE_THREAD_P Patch - <token>&glibc-RTLD_SINGLE_THREAD_P-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;coreutils/&coreutils-x86_uname-patch;"/></para>
-        <para>MD5 sum: <literal>&coreutils-x86_uname-patch-md5;</literal></para>
+        url="&patches-root;&glibc-RTLD_SINGLE_THREAD_P-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-RTLD_SINGLE_THREAD_P-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
 
   </variablelist>
--->
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/packages.ent	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -96,8 +96,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "4.2.0">
-<!ENTITY gcc-size "43,076 KB">
+<!ENTITY gcc-version "4.2.1">
+<!ENTITY gcc-size "43,080 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "4798c23548dc791ea12a139e18940684">
+<!ENTITY gcc-md5 "cba410e6ff70f7d7f4be7a0267707fd0">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
@@ -108,15 +108,15 @@
 <!ENTITY gettext-home "&gnu-software;gettext">
 
-<!ENTITY glibc-version "2.5">
-<!ENTITY glibc-size "14,964 KB">
+<!ENTITY glibc-version "2.6">
+<!ENTITY glibc-size "15,292 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.bz2">
-<!ENTITY glibc-md5 "1fb29764a6a650a4d5b409dda227ac9f">
+<!ENTITY glibc-md5 "0f471d7cb29dd07786082ad23f787949">
 <!ENTITY glibc-home "&gnu-software;libc">
 <!ENTITY glibc-ld-name "ld-2.4.so">
 
 <!ENTITY glibc-ports-version "&glibc-version;">
-<!ENTITY glibc-ports-size "400 KB">
+<!ENTITY glibc-ports-size "428 KB">
 <!ENTITY glibc-ports-url "&gnu;glibc/glibc-ports-&glibc-ports-version;.tar.bz2">
-<!ENTITY glibc-ports-md5 "183f6d46e8fa5e4b2aff240ab1586c2e">
+<!ENTITY glibc-ports-md5 "4b2b2b4a445b12d4ab9ef709b3fe267f">
 <!ENTITY glibc-ports-home " ">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision a074923d142c24bcba1618e5d92a0021ba03faa4)
+++ BOOK/patches.ent	(revision 9568bd50a50b5a3955f13a86094a16b7b6b60f8b)
@@ -9,6 +9,6 @@
 <!ENTITY bash-fixes-patch-size "12 KB">
 
-<!ENTITY binutils-branch_update-patch "binutils-&binutils-version;-branch_update-2.patch">
-<!ENTITY binutils-branch_update-patch-md5 "cdbd02886c9fe9a28171ed9a277a67d6">
+<!ENTITY binutils-branch_update-patch "binutils-&binutils-version;-branch_update-3.patch">
+<!ENTITY binutils-branch_update-patch-md5 "ba11b8a0cda2a1851f31b76afd9bbd81">
 <!ENTITY binutils-branch_update-patch-size "24 KB">
 
@@ -34,21 +34,21 @@
 
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
-<!ENTITY gcc-posix-patch-md5 "8df4fe6a9f77135ae1b0851786c40410">
+<!ENTITY gcc-posix-patch-md5 "8ed72d052f9eead0c1498d7d57302a5f">
 <!ENTITY gcc-posix-patch-size "16 KB">
 
-<!ENTITY glibc-branch_update-patch "glibc-&glibc-version;-branch_update-3.patch">
-<!ENTITY glibc-branch_update-patch-md5 "0cb4331328ecfadc4fc81288fdbdb864">
-<!ENTITY glibc-branch_update-patch-size "1644 KB">
+<!ENTITY glibc-branch_update-patch "glibc-&glibc-version;-branch_update-1.patch">
+<!ENTITY glibc-branch_update-patch-md5 "2aab7386ba6ed5064d476789e85e482b">
+<!ENTITY glibc-branch_update-patch-size "8 KB">
 
-<!ENTITY glibc-cross_hacks-patch "glibc-&glibc-version;-cross_hacks-2.patch">
-<!ENTITY glibc-cross_hacks-patch-md5 "b932942fea39a9beb2ba8a0664344493">
+<!ENTITY glibc-cross_hacks-patch "glibc-&glibc-version;-cross_hacks-1.patch">
+<!ENTITY glibc-cross_hacks-patch-md5 "1d07240424e85f802315ed193cc2c5bf">
 <!ENTITY glibc-cross_hacks-patch-size "20 KB">
 
-<!ENTITY glibc-libgcc_eh-patch "glibc-&glibc-version;-libgcc_eh-2.patch">
-<!ENTITY glibc-libgcc_eh-patch-md5 "0b7a671fd5f3cd4ce434cf534866b06a">
+<!ENTITY glibc-libgcc_eh-patch "glibc-&glibc-version;-libgcc_eh-1.patch">
+<!ENTITY glibc-libgcc_eh-patch-md5 "9488f9caf4e05fc9d1128b203c7a0680">
 <!ENTITY glibc-libgcc_eh-patch-size "8 KB">
 
 <!ENTITY glibc-localedef_segfault-patch "glibc-&glibc-version;-localedef_segfault-1.patch">
-<!ENTITY glibc-localedef_segfault-patch-md5 "42452abc6196789e0a83afa1ca7e6e4e">
+<!ENTITY glibc-localedef_segfault-patch-md5 "3ce6946b16e90a73d90ac701a5940709">
 <!ENTITY glibc-localedef_segfault-patch-size "1.9 KB">
 
@@ -69,7 +69,7 @@
 <!ENTITY ncurses-bashfix-patch-size "4 KB">
 
-<!ENTITY perl-cross_compile-patch "perl-&perl-version;-cross_compile-4.patch">
-<!ENTITY perl-cross_compile-patch-md5 "fbcae6d579057d28c6da155e40a2e448">
-<!ENTITY perl-cross_compile-patch-size "136 KB">
+<!ENTITY perl-cross_compile-patch "perl-&perl-version;-cross_compile-5.patch">
+<!ENTITY perl-cross_compile-patch-md5 "7bbb78618e2dd95987ad04c6c54a81c6">
+<!ENTITY perl-cross_compile-patch-size "140 KB">
 
 <!ENTITY perl-gcc42_fix-patch "perl-&perl-version;-gcc42_fix-1.patch">
@@ -127,15 +127,17 @@
 <!-- Alpha Specific Patches -->
 
-<!ENTITY glibc-ioperm_fix-patch "glibc-&glibc-version;-alpha_ioperm_fix-1.patch">
-<!ENTITY glibc-ioperm_fix-patch-md5 "3a50c4055d2f72248eb656eb2d15edec">
-<!ENTITY glibc-ioperm_fix-patch-size "4 KB">
-
-<!ENTITY glibc-alpha_sigsuspend-patch "glibc-&glibc-version;-alpha_sigsuspend-1.patch">
-<!ENTITY glibc-alpha_sigsuspend-patch-md5 "e35c13eb4371388b2ffa75418649ffe2">
-<!ENTITY glibc-alpha_sigsuspend-patch-size "4 KB">
+<!ENTITY glibc-sysdep_cancel-patch "glibc-&glibc-version;-sysdep_cancel-1.patch">
+<!ENTITY glibc-sysdep_cancel-patch-md5 "6b3f61df100c88e616b1e8aea81f98ce">
+<!ENTITY glibc-sysdep_cancel-patch-size "4 KB">
 
 <!ENTITY linux-io_fix-patch "linux-&linux-version;-alpha_io_fix-1.patch">
 <!ENTITY linux-io_fix-patch-md5 "7a680d8c9978044955e6ef4f6a7358c1">
 <!ENTITY linux-io_fix-patch-size "4 KB">
+
+<!-- ARM Specific Patches -->
+
+<!ENTITY glibc-RTLD_SINGLE_THREAD_P-patch "glibc-&glibc-version;-RTLD_SINGLE_THREAD_P-1.patch">
+<!ENTITY glibc-RTLD_SINGLE_THREAD_P-patch-md5 "3bb0167752997d3ccf5e2b41595bd7b3">
+<!ENTITY glibc-RTLD_SINGLE_THREAD_P-patch-size "4 KB">
 
 <!-- PA-RISC Specific Patches -->
@@ -146,4 +148,4 @@
 
 <!ENTITY glibc-hppa_nptl-patch "glibc-&glibc-version;-hppa_nptl-1.patch">
-<!ENTITY glibc-hppa_nptl-patch-md5 "25cfa673cbc940fde3638d1abf54fd79">
+<!ENTITY glibc-hppa_nptl-patch-md5 "fd059ea12d885bc3bfa18a39d9a4949f">
 <!ENTITY glibc-hppa_nptl-patch-size "4 KB">